petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISInvertPermutation

Creates a new permutation that is the inverse of a given permutation.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISInvertPermutation(IS is,PetscInt nlocal,IS *isout)

Collective on IS Many br

### Input Parameter

| is | - the index set Many br
| nlocal | - number of indices on this processor in result (ignored for 1 proccessor) or Many bruse PETSC_DECIDE Many br

### Output Parameter

isout -the inverse permutation Many br

Many br

Notes: For parallel index sets this does the complete parallel permutation, but the Many brcode is not efficient for huge index sets (10,000,000 indices). Many br

Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages